% This scritp is to invoke DHT init, and
% perfom forward backward transforms with known expected results

jzeros     = textread('J0zeros.dat');
checkzeros = max(abs(besselj(0,jzeros)))

Nr   = 200;
Rmax = 2.0e-02;
dht  = myDHT(Rmax,Nr);

checkidentity = max(max(abs( dht.T*dht.T - eye(size(dht.T)) )))

modeindex1 = min(15,Nr);

mode_in      = besselj(0,dht.kt(modeindex1)*dht.cr);
spectrum_out = dht.T*mode_in;


subplot(2,2,1);
plot(dht.cr,mode_in); title('modal field...','FontSize',15);
subplot(2,2,2);
plot(spectrum_out);   title('and its spectrum','FontSize',15);


modeindex2 = min(9,Nr);

spectrum_in = zeros(Nr,1);  spectrum_in(modeindex2,1) = 1.0;
mode_out    = dht.T*spectrum_in;

subplot(2,2,3);
plot(spectrum_in);     title('input spectrum ...','FontSize',15);
subplot(2,2,4);
plot(dht.cr,mode_out); title('and the modal field','FontSize',15);
